### Method

# Clutter Actor get_transition

#### Declaration [src]

    ClutterTransition*
    clutter_actor_get_transition (
      ClutterActor* self,
      const char* name
    )

#### Description [src]

Retrieves the `ClutterTransition` of a `ClutterActor` by using the transition `name`.

Transitions created for animatable properties use the name of the property itself, for instance the code below:

      clutter_actor_set_easing_duration (actor, 1000);
      clutter_actor_set_rotation_angle (actor, CLUTTER_Y_AXIS, 360.0);

      transition = clutter_actor_get_transition (actor, "rotation-angle-y");
      g_signal_connect (transition, "stopped",
                        G_CALLBACK (on_transition_stopped),
                        actor);

will call the `on_transition_stopped` callback when the transition is finished.

If you just want to get notifications of the completion of a transition, you should use the `ClutterActor::transition-stopped` signal, using the transition name as the signal detail.

#### Parameters

`name`

  Type: `const char*`

  The name of the transition.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterTransition`

A `ClutterTransition`, or `NULL` if none was found to match the passed name; the returned instance is owned by Clutter and it should not be freed.

The returned data is owned by the instance.
The return value can be `NULL`.